org.eclipse.ease.classloader

## Class EaseClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - org.eclipse.ease.classloader.EaseClassLoader

    public class EaseClassLoader
    extends java.lang.ClassLoader

A classloader using 'Eclipse-BuddyPolicy: global' as class loading strategy. It further allows to register additional jar files to be looked up.

### Constructor Summary

Constructors
Constructor and Description
`EaseClassLoader()` Constructor for the class loader.
`EaseClassLoader(java.lang.ClassLoader parent)` Constructor using a given parent classloader.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Class<?>` `findClass(java.lang.String name)`
`void` `registerURL(Job engine, java.net.URL url)` Add a URL to the search path of the classloader.
`void` `unregisterEngine(Job engine)`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EaseClassLoader

    public EaseClassLoader()

Constructor for the class loader.

#### EaseClassLoader

    public EaseClassLoader(java.lang.ClassLoader parent)

Constructor using a given parent classloader. When using this classloader the Eclipse-BuddyPolicy from the parent classloader bundle will be used.

Parameters:
  `parent` - parent classloader

### Method Detail

#### findClass

    public java.lang.Class<?> findClass(java.lang.String name)
                                 throws java.lang.ClassNotFoundException

Overrides:
  `findClass` in class `java.lang.ClassLoader`
Throws:
  `java.lang.ClassNotFoundException`

#### registerURL

    public void registerURL(Job engine,
                            java.net.URL url)

Add a URL to the search path of the classloader. Currently detects classes only, not resources.

Parameters:
  `engine` - script engine used
  `url` - url to add to classpath

#### unregisterEngine

    public void unregisterEngine(Job engine)